Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1228418 - [abrt] gnome-contacts: folks_persona_store_add_persona_from_details(): gnome-contacts killed by SIGSEGV
Summary: [abrt] gnome-contacts: folks_persona_store_add_persona_from_details(): gnome-...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-contacts
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elad Alfassa
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6cc652f6e906f314a86914100cf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-04 21:47 UTC by Ben Liblit
Modified: 2016-07-19 14:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:38:30 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details
File: cgroup (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details
File: core_backtrace (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details
File: dso_list (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details
File: environ (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details
File: limits (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details
File: maps (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details
File: mountinfo (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details
File: namespaces (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details
File: open_fds (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details
File: proc_pid_status (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details
File: var_log_messages (deleted)
2015-06-04 21:47 UTC, Ben Liblit
no flags Details

Description Ben Liblit 2015-06-04 21:47:14 UTC
Version-Release number of selected component:
gnome-contacts-3.16.2-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-contacts --gapplication-service
crash_function: folks_persona_store_add_persona_from_details
executable:     /usr/bin/gnome-contacts
global_pid:     5767
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            29364

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 folks_persona_store_add_persona_from_details at persona-store.c:527
 #1 contacts_contact_create_primary_persona_for_details_co at contacts-contact.c:7424
 #2 contacts_link_contacts_co at contacts-linking.c:5412
 #3 contacts_link_contacts at contacts-linking.c:5079
 #4 __lambda72_ at contacts-contact-pane.c:671
 #5 ___lambda72__gtk_button_clicked at contacts-contact-pane.c:680
 #6 _g_closure_invoke_va at gclosure.c:831
 #9 gtk_button_do_release at gtkbutton.c:1899
 #10 gtk_real_button_released at gtkbutton.c:2017
 #15 multipress_released_cb at gtkbutton.c:613

Comment 1 Ben Liblit 2015-06-04 21:47:17 UTC
Created attachment 1034925 [details]
File: backtrace

Comment 2 Ben Liblit 2015-06-04 21:47:18 UTC
Created attachment 1034926 [details]
File: cgroup

Comment 3 Ben Liblit 2015-06-04 21:47:19 UTC
Created attachment 1034927 [details]
File: core_backtrace

Comment 4 Ben Liblit 2015-06-04 21:47:21 UTC
Created attachment 1034928 [details]
File: dso_list

Comment 5 Ben Liblit 2015-06-04 21:47:22 UTC
Created attachment 1034929 [details]
File: environ

Comment 6 Ben Liblit 2015-06-04 21:47:22 UTC
Created attachment 1034930 [details]
File: limits

Comment 7 Ben Liblit 2015-06-04 21:47:25 UTC
Created attachment 1034931 [details]
File: maps

Comment 8 Ben Liblit 2015-06-04 21:47:26 UTC
Created attachment 1034932 [details]
File: mountinfo

Comment 9 Ben Liblit 2015-06-04 21:47:26 UTC
Created attachment 1034933 [details]
File: namespaces

Comment 10 Ben Liblit 2015-06-04 21:47:27 UTC
Created attachment 1034934 [details]
File: open_fds

Comment 11 Ben Liblit 2015-06-04 21:47:28 UTC
Created attachment 1034935 [details]
File: proc_pid_status

Comment 12 Ben Liblit 2015-06-04 21:47:29 UTC
Created attachment 1034936 [details]
File: var_log_messages

Comment 13 Anton 2015-07-19 10:43:06 UTC
Another user experienced a similar problem:

it suggested i merge 2 contacts (contacts from google) and when i clicked yes it crashed. 

reporter:       libreport-2.6.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-contacts --gapplication-service
crash_function: folks_persona_store_add_persona_from_details
executable:     /usr/bin/gnome-contacts
global_pid:     19792
kernel:         4.0.7-300.fc22.x86_64
package:        gnome-contacts-3.16.2-4.fc22
reason:         gnome-contacts killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora End Of Life 2016-07-19 14:38:30 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.